> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one block

> Get the details of an individual block.



## OpenAPI

````yaml get /apechain/v1/block/{blockHeight}
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/block/{blockHeight}:
    get:
      tags:
        - Blocks
      summary: Get one block
      description: Get the details of an individual block.
      operationId: getOneBlock
      parameters:
        - description: Block height or `latest` to get latest block.
          in: path
          name: blockHeight
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Block'
              examples:
                example1:
                  value:
                    base_fee_per_gas: '25420690000'
                    difficulty: '1'
                    extra_data: >-
                      0xd3817ed5751f428ceb6f094a5bffc60216dab580c86d14f3e889bf3aa60bcd5a
                    gas_limit: '1125899906842624'
                    gas_used: '39129'
                    hash: >-
                      0xe497df48d212d65d754ecdea7982f6f80d1d24cfbee08156ac2553587fc3a202
                    logs_bloom: >-
                      0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
                    miner: '0xa4b000000000000000000073657175656e636572'
                    nonce: '0x000000000000011c'
                    number: 4868513
                    parent_hash: >-
                      0xe3f5d052ef99c43a1b4eedcf06f331a1fe74c706e8554ea43bdc932734c5517f
                    receipt_root: >-
                      0x947a66f2fe24018955e7c17d33c2f78ffde74e15788643d1419fe4cea689f3d7
                    sha3_uncles: >-
                      0x1dcc4de8dec75d7aab85b567b6ccd41ad312451b948a7413f0a142fd40d49347
                    size: 1204
                    state_root: >-
                      0xbed0bf913ad91beeeae009610505edb9abbf01306b6261fd8c6ca9bee603ed8d
                    timestamp: '2024-11-21T10:12:40Z'
                    total_difficulty: '4868514'
                    transaction_count: 2
                    transactions_root: >-
                      0x615eec3cf1d08ff451a6584332535a49061259778dff02ea05fc5adf5cd65c1d
                    withdrawals_root: ''
          description: OK
components:
  schemas:
    Block:
      properties:
        base_fee_per_gas:
          type: string
        difficulty:
          type: string
        extra_data:
          type: string
        gas_limit:
          type: string
        gas_used:
          type: string
        hash:
          type: string
        logs_bloom:
          type: string
        miner:
          type: string
        nonce:
          type: string
        number:
          format: int64
          type: integer
        parent_hash:
          type: string
        receipt_root:
          type: string
        sha3_uncles:
          type: string
        size:
          format: int32
          type: integer
        state_root:
          type: string
        timestamp:
          format: date-time
          type: string
        total_difficulty:
          type: string
        transaction_count:
          format: int32
          type: integer
        transactions_root:
          type: string
        withdrawals_root:
          type: string
      required:
        - parent_hash
        - sha3_uncles
        - state_root
        - transactions_root
        - receipt_root
        - logs_bloom
        - difficulty
        - total_difficulty
        - number
        - gas_limit
        - gas_used
        - timestamp
        - extra_data
        - hash
        - nonce
        - miner
        - transaction_count
        - size
        - base_fee_per_gas
        - withdrawals_root
      type: object

````